# Uses of Interface
org.eclipse.draw2d.ActionListener

Packages that use ActionListener
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of ActionListener in org.eclipse.draw2d

Methods in org.eclipse.draw2d with parameters of type ActionListener
Modifier and Type
Method
Description
`void`
ButtonModel.`addActionListener(ActionListener listener)`
Registers the given listener as an ActionListener.
`void`
Clickable.`addActionListener(ActionListener listener)`
Adds the given listener to the list of action listeners of this Figure.
`void`
ButtonModel.`removeActionListener(ActionListener listener)`
Removes the given ActionListener.
`void`
Clickable.`removeActionListener(ActionListener listener)`
Removes the given listener from the list of ActionListener's of this Clickable.